/[gentoo-x86]/dev-python/PyQt4/ChangeLog
Gentoo

Diff of /dev-python/PyQt4/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.237 Revision 1.282
1# ChangeLog for dev-python/PyQt4 1# ChangeLog for dev-python/PyQt4
2# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.237 2013/09/10 05:19:12 maekke Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-python/PyQt4/ChangeLog,v 1.282 2015/02/16 08:34:25 ago Exp $
4
5 16 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
6 Stable for ppc, wrt bug #517344
7
8 14 Feb 2015; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
9 Stable for x86, wrt bug #517344
10
11 09 Jan 2015; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.3.ebuild:
12 Stop using deprecated python_parallel_foreach_impl.
13
14 31 Dec 2014; Michael Palimaka <kensington@gentoo.org> PyQt4-4.10.3-r2.ebuild,
15 PyQt4-4.11.1.ebuild, PyQt4-4.11.2.ebuild:
16 Enforce USE dependency for media-libs/phonon.
17
18 10 Dec 2014; Mikle Kolyada <zlogene@gentoo.org> PyQt4-4.11.1.ebuild:
19 amd64 stable wrt bug #517344
20
21 22 Nov 2014; Tobias Klausmann <klausman@gentoo.org> PyQt4-4.11.1.ebuild:
22 Stable on alpha, bug 523322
23
24*PyQt4-4.11.3 (15 Nov 2014)
25
26 15 Nov 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.3.ebuild,
27 -PyQt4-4.11.3_pre20141024.ebuild:
28 Version bump.
29
30*PyQt4-4.11.3_pre20141024 (01 Nov 2014)
31
32 01 Nov 2014; Davide Pesavento <pesa@gentoo.org>
33 +PyQt4-4.11.3_pre20141024.ebuild, -PyQt4-4.11.2-r1.ebuild:
34 Bump to 4.11.3 prerelease, which contains upstream fixes for bugs #525392 and
35 #525470. Also switch to out-of-source builds.
36
37 15 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.2-r1.ebuild:
38 Fix bug #525392.
39
40 14 Oct 2014; Davide Pesavento <pesa@gentoo.org>
41 +files/PyQt4-4.11.2-phonon.patch, PyQt4-4.11.2-r1.ebuild:
42 Fix building against media-libs/phonon (bug 525354).
43
44*PyQt4-4.11.2-r1 (13 Oct 2014)
45
46 13 Oct 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2-r1.ebuild,
47 metadata.xml:
48 Switch to new upstream build system. Introduce USE=testlib to decouple QtTest
49 from QtGui.
50
51 09 Oct 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
52 Revert to ~amd64, see bug #523322 comment #4.
53
54 09 Oct 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.11.1.ebuild:
55 Stable for amd64, wrt bug #523322
56
57 04 Oct 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.11.1.ebuild:
58 arm stable, bug #523322
59
60*PyQt4-4.11.2 (20 Sep 2014)
61
62 20 Sep 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.2.ebuild,
63 PyQt4-4.11.1.ebuild:
64 Version bump. Silence harmless repoman warning.
65
66 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.11.1.ebuild:
67 Drop deprecated python versions.
68
69 13 Sep 2014; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.3-r3.ebuild,
70 PyQt4-4.11.1.ebuild:
71 Stop using dohtml, remove old.
72
73 17 Jul 2014; Michael Palimaka <kensington@gentoo.org> -PyQt4-4.11.ebuild:
74 Remove old.
75
76*PyQt4-4.11.1 (15 Jul 2014)
77
78 15 Jul 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.1.ebuild,
79 PyQt4-4.11.ebuild:
80 Version bump.
81
82 20 Jun 2014; Ian Delaney <idella4@gentoo.org> PyQt4-4.10.3-r3.ebuild,
83 PyQt4-4.11.ebuild:
84 add py3.4 support req'd to support py packages such as pandas
85
86 30 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
87 PyQt4-4.10.3-r3.ebuild:
88 Restrict sip dep to =4.15* for older PyQt4 versions.
89
90*PyQt4-4.11 (30 May 2014)
91
92 30 May 2014; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.11.ebuild:
93 Version bump.
94
95 21 May 2014; Davide Pesavento <pesa@gentoo.org> PyQt4-4.10.3-r2.ebuild,
96 PyQt4-4.10.3-r3.ebuild, metadata.xml:
97 Update pypi identifier in HOMEPAGE and <upstream> metadata tag. Thanks to
98 Martin Walch in bug 510812.
99
100 19 May 2014; Michał Górny <mgorny@gentoo.org> -PyQt4-4.10.2.ebuild,
101 -PyQt4-4.10.3.ebuild:
102 Drop the old versions that required python-exec:0.
103
104 02 Apr 2014; Michael Palimaka <kensington@gentoo.org> metadata.xml:
105 Remove python herd as discussed with them.
106
107*PyQt4-4.10.3-r3 (27 Mar 2014)
108
109 27 Mar 2014; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r3.ebuild:
110 Replace manual Python wrapping with proper eclass functions, bug #484404.
111
112 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
113 Stable for sparc, wrt bug #495638
114
115 23 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
116 Stable for x86, wrt bug #495638
117
118 19 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
119 Stable for alpha, wrt bug #495638
120
121 18 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
122 Stable for ia64, wrt bug #495638
123
124 14 Mar 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
125 Stable for ppc64, wrt bug #495638
126
127 08 Mar 2014; Pacho Ramos <pacho@gentoo.org> PyQt4-4.10.3-r2.ebuild:
128 amd64 stable, bug 495638
129
130 02 Feb 2014; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.3-r2.ebuild:
131 Stable for ppc, wrt bug #495638
132
133 30 Jan 2014; Markus Meier <maekke@gentoo.org> PyQt4-4.10.3-r2.ebuild:
134 arm stable, bug #495638
135
136 28 Dec 2013; Steve Arnold <nerdboy@gentoo.org>
137 files/PyQt4-4.7.3-qreal_float_support.patch:
138 Updated qreal_float patch to remove first hunk (already applied
139 upstream). Tested on arm chromebook; no existing bug.
140
141*PyQt4-4.10.3-r2 (25 Dec 2013)
142
143 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> +PyQt4-4.10.3-r2.ebuild,
144 -PyQt4-4.10.3-r1.ebuild, metadata.xml:
145 Introduce USE="designer".
146
147 25 Dec 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.9.6-r2.ebuild:
148 old
149
150 23 Dec 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:
151 Stable for sparc, wrt bug #483112
152
153 31 Oct 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.2.ebuild,
154 PyQt4-4.10.3-r1.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
155 Update the ebuilds to dep on dev-lang/python-exec.
156
157 23 Oct 2013; Davide Pesavento <pesa@gentoo.org> -PyQt4-4.10.1.ebuild:
158 old
159
160*PyQt4-4.10.3-r1 (23 Oct 2013)
161
162 23 Oct 2013; Michał Górny <mgorny@gentoo.org> +PyQt4-4.10.3-r1.ebuild:
163 Support python-exec:2.
164
165 19 Sep 2013; Ben de Groot <yngwin@gentoo.org> PyQt4-4.10.3.ebuild:
166 Depend on sip >=4.15.0 to fix build failure (bug #485274)
167
168 17 Sep 2013; Michał Górny <mgorny@gentoo.org> PyQt4-4.10.1.ebuild,
169 PyQt4-4.10.2.ebuild, PyQt4-4.10.3.ebuild, PyQt4-4.9.6-r2.ebuild:
170 Add explicit dep on python-exec:0 since the package wraps the script manually.
171
172*PyQt4-4.10.3 (17 Sep 2013)
173
174 17 Sep 2013; Ben de Groot <yngwin@gentoo.org> +PyQt4-4.10.3.ebuild:
175 Version bump
176
177 13 Sep 2013; Jonathan Callen <jcallen@gentoo.org> PyQt4-4.10.1.ebuild,
178 PyQt4-4.10.2.ebuild, PyQt4-4.9.6-r2.ebuild:
179 Add missing [${PYTHON_USEDEP}] on dbus-python DEPEND
4 180
5 10 Sep 2013; Markus Meier <maekke@gentoo.org> PyQt4-4.10.2.ebuild: 181 10 Sep 2013; Markus Meier <maekke@gentoo.org> PyQt4-4.10.2.ebuild:
6 arm stable, bug #483112 182 arm stable, bug #483112
7 183
8 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild: 184 05 Sep 2013; Agostino Sarubbo <ago@gentoo.org> PyQt4-4.10.2.ebuild:

Legend:
Removed from v.1.237  
changed lines
  Added in v.1.282

  ViewVC Help
Powered by ViewVC 1.1.20